OTBCLI_BLOCKMATCHING(1)

NAME
otbcli_BlockMatching - OTB BlockMatching application

DESCRIPTION
This is the BlockMatching application, version 5.2.0 Performs block-matching to estimate pixel-wise disparities between two images

Complete documentation: http://www.orfeo-toolbox.org/Applications/BlockMatching.html

  Parameters:

-progress
    <boolean> Report progress

 -io.inleft <string> Left input image (mandatory)
 -io.inright <string> Right input image (mandatory)
 -io.out <string> [pixel] The output disparity map [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-io.outmask
    <string> [pixel] The output mask corresponding to all criterions [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint8) (optional, off by default)

-io.outmetric
    <boolean> Output optimal metric values as well (optional, off by default)

-mask.inleft
    <string> Discard left pixels from mask image (optional, off by default)

-mask.inright
    <string> Discard right pixels from mask image (optional, off by default)

-mask.nodata
    <float> Discard pixels with no-data value (optional, off by default, default value is 0)

-mask.variancet
    <float> Discard pixels with low local variance (optional, off by default, default value is 100)

-bm.metric
    <string> Block-matching metric [ssd/ncc/lp] (mandatory, default value is ssd)

-bm.metric.lp.p
    <float> p value (mandatory, default value is 1)

-bm.radius
    <int32> Radius of blocks (mandatory, default value is 3)

 -bm.minhd <int32> Minimum horizontal disparity (mandatory)
 -bm.maxhd <int32> Maximum horizontal disparity (mandatory)
 -bm.minvd <int32> Minimum vertical disparity (mandatory)
 -bm.maxvd <int32> Maximum vertical disparity (mandatory)

-bm.subpixel
    <string> Sub-pixel interpolation [none/parabolic/triangular/dichotomy] (mandatory, default value is none)

-bm.step
    <int32> Computation step (optional, on by default, default value is 1)

-bm.startx
    <int32> X start index (optional, on by default, default value is 0)

-bm.starty
    <int32> Y start index (optional, on by default, default value is 0)

-bm.medianfilter.radius
    <int32> Radius (optional, off by default)

-bm.medianfilter.incoherence <float>
    Incoherence threshold (optional, off by default)

-bm.initdisp
    <string> Initial disparities [none/uniform/maps] (mandatory, default value is none)

-bm.initdisp.uniform.hdisp
    <int32> Horizontal initial disparity (mandatory, default value is 0)

-bm.initdisp.uniform.vdisp
    <int32> Vertical initial disparity (mandatory, default value is 0)

-bm.initdisp.uniform.hrad
    <int32> Horizontal exploration radius (mandatory, default value is 0)

-bm.initdisp.uniform.vrad
    <int32> Vertical exploration radius (mandatory, default value is 0)

-bm.initdisp.maps.hmap
    <string> Horizontal initial disparity map (mandatory)

-bm.initdisp.maps.vmap
    <string> Vertical initial disparity map (mandatory)

-bm.initdisp.maps.hrad
    <int32> Horizontal exploration radius (mandatory, default value is 0)

-bm.initdisp.maps.vrad
    <int32> Vertical exploration radius (mandatory, default value is 0)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_BlockMatching -io.inleft StereoFixed.png -io.inright StereoMoving.png -bm.minhd -10 -bm.maxhd 10 -mask.variancet 10 -io.out MyDisparity.tif

SEE ALSO
The full documentation for otbcli_BlockMatching is maintained as a Texinfo manual. If the info and otbcli_BlockMatching programs are properly installed at your site, the command

    info otbcli_BlockMatching

should give you access to the complete manual.